MAKETX(1)

NAME
maketx - convert images to tiled, MIP-mapped textures

SYNOPSIS
maketx [options] files...

DESCRIPTION
The maketx program will read an image (from any file format for which an ImageInput plugin can be found) and then write it in a form in which it will have high performance when used by TextureSystem. This involves converting it to tiled (versus scanline) orientation, writing multiple subimages at different resolutions (MIP-map), and setting a variety of header or metadata fields appropriately for texture maps.

The maketx utility is invoked as follows: maketx [options] input... -o output Where input and output name the input image and desired output filename. The input files may be of any image format recognized by OpenImageIO (i.e., for which ImageInput plugins are available). The file format of the output image will be inferred from the file extension of the output filename (e.g., "foo.tif" will write a TIFF file).

For a complete description, see /usr/share/doc/openimageio-doc/openimageio.pdf.gz.

OPTIONS

--help
    Print help message

-v  Verbose status messages

-o %s
    Output filename

--old
    Old mode

--threads %d
    Number of threads (default: #cores)

-u  Update mode

--format %s
    Specify output file format (default: guess from extension)

--nchannels %d
    Specify the number of output image channels.

--chnames %s
    Rename channels (comma-separated)

-d %s
    Set the output data format to one of:
    uint8, sint8, uint16, sint16, half, float

--tile %d %d
    Specify tile size

--separate
    Use planarconfig separate (default: contiguous)

--compression %s
    Set the compression method (default = zip, if possible)

--fovcot %f
    Override the frame aspect ratio. Default is width/height.

--wrap %s
    Specify wrap mode (black, clamp, periodic, mirror)

--swrap %s
    Specific s wrap mode separately

--twrap %s
    Specific t wrap mode separately

--resize
    Resize textures to power of 2 (default: no)

--noresize
    Do not resize textures to power of 2 (deprecated)

--filter %s
    Select filter for resizing
    (choices: box triangle gaussian sharp-gaussian catrom blackman-harris sinc lanczos3 radial-lanczos3 mitchell bspline disk, default=box)

--hicomp
    Compress HDR range before resize, expand after.

--nomipmap
    Do not make multiple MIP-map levels

--checknan
    Check for NaN/Inf values (abort if found)

--fixnan %s
    Attempt to fix NaN/Inf values in the image (options: none, black, box3)

--fullpixels
    Set the 'full' image range to be the pixel data window

--Mcamera %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f
    Set the camera matrix

--Mscreen %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f
    Set the screen matrix

--prman-metadata
    Add prman specific metadata

--constant-color-detect
    Create 1-tile textures from constant color inputs

--monochrome-detect
    Create 1-channel textures from monochrome inputs

--opaque-detect
    Drop alpha channel that is always 1.0

--ignore-unassoc
    Ignore unassociated alpha tags in input (don't autoconvert)

--stats
    Print runtime statistics

--mipimage %s
    Specify an individual MIP level

  Basic modes (default is plain texture):

--shadow
    Create shadow map

--envlatl
    Create lat/long environment map

--lightprobe
    Create lat/long environment map from a light probe

  Color Management Options (OpenColorIO DISABLED)

--colorconvert %s %s
    Apply a color space conversion to the image. If the output color space is not the same bit depth as input color space, it is your responsibility to set the data format to the proper bit depth using the -d option.
    (choices: linear, sRGB, Rec709)

--unpremult
    Unpremultiply before color conversion, then premultiply after the color conversion. You'll probably want to use this flag if your image contains an alpha channel.

  Configuration Presets

--prman
    Use PRMan-safe settings for tile size, planarconfig, and metadata.

--oiio
    Use OIIO-optimized settings for tile size, planarconfig, metadata, and constant-color optimizations.

SEE ALSO
iconvert(1), idiff(1), igrep(1), iinfo(1), iv(1), oiiotool(1).

AUTHOR
OpenImageIO was written by Larry Gritz and the other authors and contributors.

This manual page was written by IRIE Shinsuke <irieshinsuke@yahoo.co.jp>, for the Debian project (and may be used by others).